Tasks
Tasks — Taskade REST API v1 reference: GET /projects/{projectId}/tasks/{taskId}. Parameters, authentication, and response schema.
Summary of Endpoints
Get Task
Get task with id
Task
Task
Error description
GET /api/v1/projects/{projectId}/tasks/{taskId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Delete Task
Delete a task in a project
Successful Task deletion
Successful Task deletion
Error description
DELETE /api/v1/projects/{projectId}/tasks/{taskId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true
}Update Task
Update task.
^[^\r\n]*$Updated task
Updated task
Error description
PUT /api/v1/projects/{projectId}/tasks/{taskId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"contentType": "text/markdown",
"content": "text"
}{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Complete Task
Complete a task in a project
Successful complete a Task
Successful complete a Task
Error description
POST /api/v1/projects/{projectId}/tasks/{taskId}/complete HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Uncomplete Task
Mark a task as incomplete in a project
Successful mark the Task as incomplete
Successful mark the Task as incomplete
Error description
POST /api/v1/projects/{projectId}/tasks/{taskId}/uncomplete HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Create Task
Create one or more tasks in a project
Unique identifier for the project.
Successful Tasks creation
Successful Tasks creation
Error description
POST /api/v1/projects/{projectId}/tasks/ HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"tasks": [
{
"contentType": "text/markdown",
"content": "text",
"taskId": "null",
"placement": "afterbegin"
}
]
}{
"ok": true,
"item": [
{
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
]
}Move Task
Move a task within the project
Successful move Task
Successful move Task
Error description
PUT /api/v1/projects/{projectId}/tasks/{taskId}/move HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"target": {
"taskId": "text",
"position": "beforebegin"
}
}{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Get Task Assignees
Get the assignees of a task
Task assignees
Task assignees
Error description
GET /api/v1/projects/{projectId}/tasks/{taskId}/assignees HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"items": [
{
"handle": "example",
"displayName": "Sales Pipeline"
}
]
}Update Task Assignees
Task assignment
Successful Task assignment
Successful Task assignment
Error description
PUT /api/v1/projects/{projectId}/tasks/{taskId}/assignees HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20
{
"handles": [
"text"
]
}{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Delete Task Assignee
Remove assignee from a task
Successful Task Assignment deletion
Successful Task Assignment deletion
Error description
DELETE /api/v1/projects/{projectId}/tasks/{taskId}/assignees/{assigneeHandle} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Get Task Date
Get the date of a task
Task Date
Task Date
Error description
GET /api/v1/projects/{projectId}/tasks/{taskId}/date HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"item": {
"start": {
"date": "2026-07-21T09:00:00.000Z",
"time": "example",
"timezone": "example"
},
"end": {
"date": "2026-07-21T09:00:00.000Z",
"time": "example",
"timezone": "example"
}
}
}Delete Task Date
Delete date of a task
Successful Task Date deletion
Successful Task Date deletion
Error description
DELETE /api/v1/projects/{projectId}/tasks/{taskId}/date HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Update Task Date
Create or update date for a task
Successful Task Date create or update
Successful Task Date create or update
Error description
PUT /api/v1/projects/{projectId}/tasks/{taskId}/date HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 111
{
"start": {
"date": "text",
"time": "text",
"timezone": "text"
},
"end": {
"date": "text",
"time": "text",
"timezone": "text"
}
}{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Get Task Note
Get the note of a task
Task Note
Task Note
Error description
GET /api/v1/projects/{projectId}/tasks/{taskId}/note HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"item": {
"type": "example",
"value": "example"
}
}Update Task Note
Add/update a note to the task
^[^\r\n]*$Successful Task Note creation/update
Successful Task Note creation/update
Error description
PUT /api/v1/projects/{projectId}/tasks/{taskId}/note HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"type": "text/plain",
"value": "text"
}{
"ok": true,
"item": {
"type": "example",
"value": "example"
}
}Delete Task Note
Delete the note of a task
Successful Task Note deletion
Successful Task Note deletion
Error description
DELETE /api/v1/projects/{projectId}/tasks/{taskId}/note HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true
}List Task Fields
Get all field values for a task
Task field values
Task field values
Error description
GET /api/v1/projects/{projectId}/tasks/{taskId}/fields HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"items": [
{
"fieldId": "abc123DEF456",
"value": {}
}
]
}Get Task Field
Get the field value of a task
Task field value
Task field value
Error description
GET /api/v1/projects/{projectId}/tasks/{taskId}/fields/{fieldId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"item": {
"fieldId": "abc123DEF456",
"value": {}
}
}Delete Task Field
Delete the field value of a task
Successful field value deletion
Successful field value deletion
Error description
DELETE /api/v1/projects/{projectId}/tasks/{taskId}/fields/{fieldId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true
}Update Task Field
Update/create the field value of a task
Successful field value create/update
Successful field value create/update
Error description
PUT /api/v1/projects/{projectId}/tasks/{taskId}/fields/{fieldId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 11
{
"value": 1
}{
"ok": true
}Last updated
Was this helpful?